Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtk3DSImporter Class Reference

`#include <vtk3DSImporter.h>`

Inheritance diagram for vtk3DSImporter:

[legend]
Collaboration diagram for vtk3DSImporter:

[legend]
List of all members.

## Detailed Description

imports 3D Studio files.

Date:
  2002/08/13 12:29:50

Revision:
  1.22

vtk3DSImporter imports 3D Studio files into vtk.

See also:
  vtkImporter

Created by:
  - Lorensen, Bill

CVS contributions (if > 5%):
  - Lorensen, Bill (68%)
  - Schroeder, Will (26%)

CVS logs (CVSweb):
  - .`h` (`/Hybrid/vtk3DSImporter.h)`
  - .`cxx` (`/Hybrid/vtk3DSImporter.cxx)`

Examples:
  vtk3DSImporter (Examples)

Tests:
  vtk3DSImporter (Tests)

Definition at line 53 of file vtk3DSImporter.h.

## Public Types
typedef vtkImporter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
FILE * | GetFileFD ()
virtual void | SetFileName (const char *)
virtual char * | GetFileName ()
virtual void | SetComputeNormals (int)
virtual int | GetComputeNormals ()
virtual void | ComputeNormalsOn ()
virtual void | ComputeNormalsOff ()
## Static Public Methods
vtk3DSImporter * | New ()
int | IsTypeOf (const char *type)
vtk3DSImporter * | SafeDownCast (vtkObject *o)
## Public Attributes
vtk3DSOmniLight * | OmniList
vtk3DSSpotLight * | SpotLightList
vtk3DSCamera * | CameraList
vtk3DSMesh * | MeshList
vtk3DSMaterial * | MaterialList
vtk3DSMatProp * | MatPropList
## Protected Methods
| vtk3DSImporter ()
| ~vtk3DSImporter ()
virtual int | ImportBegin ()
virtual void | ImportEnd ()
virtual void | ImportActors (vtkRenderer *renderer)
virtual void | ImportCameras (vtkRenderer *renderer)
virtual void | ImportLights (vtkRenderer *renderer)
virtual void | ImportProperties (vtkRenderer *renderer)
vtkPolyData * | GeneratePolyData (vtk3DSMesh *meshPtr)
int | Read3DS ()
## Protected Attributes
char * | FileName
FILE * | FileFD
int | ComputeNormals

## Member Typedef Documentation

typedef vtkImporter vtk3DSImporter::Superclass

| Reimplemented from vtkImporter. Definition at line 58 of file vtk3DSImporter.h.

## Constructor & Destructor Documentation

vtk3DSImporter::vtk3DSImporter | ( |  | ) | `[protected]`

vtk3DSImporter::~vtk3DSImporter | ( |  | ) | `[protected]`

## Member Function Documentation

vtk3DSImporter* vtk3DSImporter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtk3DSImporter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImporter.

int vtk3DSImporter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImporter.

virtual int vtk3DSImporter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImporter.

vtk3DSImporter* vtk3DSImporter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImporter.

void vtk3DSImporter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImporter.

virtual void vtk3DSImporter::SetFileName | ( | const char * |  | ) | `[virtual]`

| Specify the name of the file to read.

virtual char* vtk3DSImporter::GetFileName | ( |  | ) | `[virtual]`

| Specify the name of the file to read.

virtual void vtk3DSImporter::SetComputeNormals | ( | int |  | ) | `[virtual]`

| Set/Get the computation of normals. If on, imported geometry will be run through vtkPolyDataNormals.

virtual int vtk3DSImporter::GetComputeNormals | ( |  | ) | `[virtual]`

| Set/Get the computation of normals. If on, imported geometry will be run through vtkPolyDataNormals.

virtual void vtk3DSImporter::ComputeNormalsOn | ( |  | ) | `[virtual]`

| Set/Get the computation of normals. If on, imported geometry will be run through vtkPolyDataNormals.

virtual void vtk3DSImporter::ComputeNormalsOff | ( |  | ) | `[virtual]`

| Set/Get the computation of normals. If on, imported geometry will be run through vtkPolyDataNormals.

FILE* vtk3DSImporter::GetFileFD | ( |  | ) | `[inline]`

| Return the file pointer to the open file. Definition at line 76 of file vtk3DSImporter.h.

virtual int vtk3DSImporter::ImportBegin | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkImporter.

virtual void vtk3DSImporter::ImportEnd | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkImporter.

virtual void vtk3DSImporter::ImportActors | ( | vtkRenderer * | renderer | ) | `[protected, virtual]`

| Reimplemented from vtkImporter.

virtual void vtk3DSImporter::ImportCameras | ( | vtkRenderer * | renderer | ) | `[protected, virtual]`

| Reimplemented from vtkImporter.

virtual void vtk3DSImporter::ImportLights | ( | vtkRenderer * | renderer | ) | `[protected, virtual]`

| Reimplemented from vtkImporter.

virtual void vtk3DSImporter::ImportProperties | ( | vtkRenderer * | renderer | ) | `[protected, virtual]`

| Reimplemented from vtkImporter.

vtkPolyData* vtk3DSImporter::GeneratePolyData | ( | vtk3DSMesh * | meshPtr | ) | `[protected]`

int vtk3DSImporter::Read3DS | ( |  | ) | `[protected]`

## Member Data Documentation

vtk3DSOmniLight* vtk3DSImporter::OmniList

| Definition at line 78 of file vtk3DSImporter.h.

vtk3DSSpotLight* vtk3DSImporter::SpotLightList

| Definition at line 79 of file vtk3DSImporter.h.

vtk3DSCamera* vtk3DSImporter::CameraList

| Definition at line 80 of file vtk3DSImporter.h.

vtk3DSMesh* vtk3DSImporter::MeshList

| Definition at line 81 of file vtk3DSImporter.h.

vtk3DSMaterial* vtk3DSImporter::MaterialList

| Definition at line 82 of file vtk3DSImporter.h.

vtk3DSMatProp* vtk3DSImporter::MatPropList

| Definition at line 83 of file vtk3DSImporter.h.

char* vtk3DSImporter::FileName`[protected]`

| Definition at line 98 of file vtk3DSImporter.h.

FILE* vtk3DSImporter::FileFD`[protected]`

| Definition at line 99 of file vtk3DSImporter.h.

int vtk3DSImporter::ComputeNormals`[protected]`

| Definition at line 100 of file vtk3DSImporter.h.

The documentation for this class was generated from the following file:

- Hybrid/vtk3DSImporter.h